Bug 868844 - Review Request: nepomuk-music-kio-slave - KIO Slave to access Nepomuk-indexed music files
Review Request: nepomuk-music-kio-slave - KIO Slave to access Nepomuk-indexed...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 05:30 EDT by Daniel Vrátil
Modified: 2015-11-01 20:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-30 22:22:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jgrulich: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Vrátil 2012-10-22 05:30:21 EDT
Spec URL: http://pub.progdan.cz/specs/nepomuk-music-kio-slave.spec
SRPM URL: http://pub.progdan.cz/specs/nepomuk-music-kio-slave-0.1.0-1.fc19.src.rpm
Description: A KIO Slave that provides music:// protocol to access music files indexed by Nepomuk by artists or genres.
Fedora Account System Username: dvratil
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4614486
Comment 1 Jan Grulich 2012-10-22 12:02:10 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[ ]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[!]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: Large documentation files are in a -doc subpackage, if required.
[ ]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL", "Unknown or generated". 3 files have unknown license.
     Detailed output of licensecheck in /home/grulja/Downloads/868844-nepomuk-
     music-kio-slave/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (include-unistd-h.patch)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nepomuk-music-kio-slave-debuginfo-0.1.0-1.fc17.x86_64.rpm
          nepomuk-music-kio-slave-0.1.0-1.fc17.src.rpm
          nepomuk-music-kio-slave-0.1.0-1.fc17.x86_64.rpm
nepomuk-music-kio-slave.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nepomuk-music-kio-slave nepomuk-music-kio-slave-debuginfo
nepomuk-music-kio-slave.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
nepomuk-music-kio-slave-debuginfo-0.1.0-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

nepomuk-music-kio-slave-0.1.0-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libQtCore.so.4()(64bit)  
    libQtDBus.so.4()(64bit)  
    libQtGui.so.4()(64bit)  
    libQtNetwork.so.4()(64bit)  
    libQtSvg.so.4()(64bit)  
    libQtXml.so.4()(64bit)  
    libc.so.6()(64bit)  
    libgcc_s.so.1()(64bit)  
    libkdecore.so.5()(64bit)  
    libkdeui.so.5()(64bit)  
    libkio.so.5()(64bit)  
    libm.so.6()(64bit)  
    libnepomuk.so.4()(64bit)  
    libnepomukquery.so.4()(64bit)  
    libpthread.so.0()(64bit)  
    libsoprano.so.4()(64bit)  
    libstdc++.so.6()(64bit)  
    libstdc++.so.6(CXXABI_1.3)(64bit)  
    rtld(GNU_HASH)  



Provides
--------
nepomuk-music-kio-slave-debuginfo-0.1.0-1.fc17.x86_64.rpm:
    
    nepomuk-music-kio-slave-debuginfo = 0.1.0-1.fc17
    nepomuk-music-kio-slave-debuginfo(x86-64) = 0.1.0-1.fc17

nepomuk-music-kio-slave-0.1.0-1.fc17.x86_64.rpm:
    
    kio_music.so()(64bit)  
    nepomuk-music-kio-slave = 0.1.0-1.fc17
    nepomuk-music-kio-slave(x86-64) = 0.1.0-1.fc17
    nepomukmusicthumbnail.so()(64bit)  



Unversioned so-files
--------------------
nepomuk-music-kio-slave-0.1.0-1.fc17.x86_64.rpm: /usr/lib64/kde4/kio_music.so
nepomuk-music-kio-slave-0.1.0-1.fc17.x86_64.rpm: /usr/lib64/kde4/nepomukmusicthumbnail.so

MD5-sum check
-------------
http://download.kde.org/unstable/nepomuk/nepomuk-music-kio-slave-0.1.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : f046056e9a58aa30363d1febb27a9bfed8c2a079d78b31491a4b72aa26904f09
  CHECKSUM(SHA256) upstream package : f046056e9a58aa30363d1febb27a9bfed8c2a079d78b31491a4b72aa26904f09


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 868844
Comment 2 Jan Grulich 2012-10-22 12:04:07 EDT
Patch should have %{name} prefix and you should use kde4 macros.
Comment 3 Daniel Vrátil 2012-10-23 12:41:37 EDT
Spec URL: http://pub.progdan.cz/specs/nepomuk-music-kio-slave.spec
SRPM URL: http://pub.progdan.cz/specs/nepomuk-music-kio-slave-0.1.0-2.fc18.src.rpm

* Tue Oct 23 2012 Dan Vrátil <dvratil@redhat.com> - 0.1.0-2
- Renamed patch
- Use KDE macros, don't use ""rm -rf $BUILD_ROOT"

I also contacted upstream to include LICENSE/COPYING file in next release.
Comment 4 Jan Grulich 2012-12-22 10:13:03 EST
Seems okay without any serious problems which showed rpmlint and fedora-review.
Comment 5 Daniel Vrátil 2012-12-22 11:12:03 EST
New Package SCM Request
=======================
Package Name: nepomuk-music-kio-slave
Short Description: KIO Slave to access Nepomuk-indexed music files
Owners: dvratil
Branches: f17 f18
InitialCC:
Comment 6 Gwyn Ciesla 2012-12-22 12:00:28 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-12-22 12:56:50 EST
nepomuk-music-kio-slave-0.1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nepomuk-music-kio-slave-0.1.0-2.fc17
Comment 8 Fedora Update System 2012-12-22 12:57:02 EST
nepomuk-music-kio-slave-0.1.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nepomuk-music-kio-slave-0.1.0-2.fc18
Comment 9 Fedora Update System 2012-12-22 16:12:52 EST
nepomuk-music-kio-slave-0.1.0-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2012-12-30 22:22:09 EST
nepomuk-music-kio-slave-0.1.0-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2013-01-11 18:49:34 EST
nepomuk-music-kio-slave-0.1.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.